Package org.apache.sysds.runtime.compress.colgroup.scheme

# Class SchemeFactory

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.scheme.SchemeFactory

public class SchemeFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`SchemeFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ICLAScheme`
`create(IColIndex columns, AColGroup.CompressionType type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemeFactory

public SchemeFactory()

## Method Details

### create

public static ICLAScheme create(IColIndex columns, AColGroup.CompressionType type)